Subject: Re: bug#20137: number of generation doesn't always rise monotonically

From: [email-masked] (Ludovic Courtès)
Date: Thu, 19 Mar 2015 09:47:06 +0100

[email-masked] (Taylan Ulrich "Bayırlı/Kammer") skribis:

> [email-masked] (Ludovic Courtès) writes:
>
>>   2. Upon rollback from P to N, keep all the generations, but use P+1
>>      for the next generation number.  Doesn’t work, because rolling back
>>      from P+1 would bring you back to P instead of N.
>
> Perhaps we can eventually move to an actual tree structure where the
> nodes can be named whatever.

I agree this would be the right thing for a real undo mechanism.

But how useful would it be?  I’ve never been in a situation where
rollback/switch-generation would be insufficient or inappropriate.

I’m concerned that this would add both code and user interface
complexity for mostly hypothetical use cases.  WDYT?

Thanks,
Ludo’.